//  main: main.less, out: ../style.css


/* ====================================================================================================================================
TRANSITIONS
======================================================================================================================================*/

.transition-elastic(@property : all, @duration: 0.4s, @easing : cubic-bezier(0.4, 0.0, 0.2, 1), @delay : 0 ) {
 transition-property: @property;
 transition-duration: @duration;
 transition-timing-function: @easing;
 transition-delay: @delay;
 -webkit-transition-property: @property;
 -webkit-transition-duration: @duration;
 -webkit-transition-timing-function: @easing;
 -webkit-transition-delay: @delay;
}

.transition-elastic--long {
   .transition-elastic(all, 0.6s, cubic-bezier(0.4, 0.0, 0.2, 1), 0);
}


/* ====================================================================================================================================
ANIMATIONS
======================================================================================================================================*/
@keyframes animationFadeIn {
    0% {
        opacity: 0;
    }

    100% {
        opacity: 1;
    }
}

.animationFadeIn {
    -webkit-animation: animationFadeIn .6s 0s ease-in-out forwards;
    -moz-animation: animationFadeIn .6s 0s ease-in-out forwards;
    -o-animation: animationFadeIn .6s 0s ease-in-out forwards;
    animation: animationFadeIn .6s 0s ease-in-out forwards;
}

@keyframes downUp {
    0% {
        .u-transform(translateY(30px));
        opacity: 0;
    }

    100% {
        .u-transform(translateY(0));
        opacity: 1;
    }
}

.animationDownUp {
    -webkit-animation: downUp 1.4s 1s ease-in-out forwards;
    -moz-animation: downUp 1.4s 1s ease-in-out forwards;
    -o-animation: downUp 1.4s 1s ease-in-out forwards;
    animation: downUp 1.4s 1s ease-in-out forwards;
}


// COOKIW ANIMATION ------------------------------
@keyframes animation__cookie {
    from {
        .u-transform(translateY(100%));
        opacity: 0;
    }
    to {
        .u-transform(translateY(0));
        opacity: 1;
    }
 }
 @-webkit-keyframes animation__cookie {
    from {
        .u-transform(translateY(100%));
        opacity: 0;
    }
    to {
        .u-transform(translateY(0));
        opacity: 1;
    }
 }
 
 .animation__cookie (@duration: 1s, @delay: 0,) {
     animation-name             : animation__cookie;
     animation-duration         : @duration;
     animation-delay            : @delay;
     -webkit-animation-name     : animation__cookie;
     -webkit-animation-duration : @duration;
     -webkit-animation-delay    : @delay;
     -webkit-animation-fill-mode: forwards;
     animation-fill-mode        : forwards;
     animation-timing-function: cubic-bezier(0.68, -0.55, 0.265, 1.55);
     -webkit-animation-timing-function: cubic-bezier(0.68, -0.55, 0.265, 1.55);
 }